/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { NegativeVolumeIndexIndicatorStrategy } from "./NegativeVolumeIndexIndicatorStrategy";
import { markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let NegativeVolumeIndexIndicator = /*@__PURE__*/ (() => {
    class NegativeVolumeIndexIndicator extends StrategyBasedIndicator {
        bk() {
            return new NegativeVolumeIndexIndicator();
        }
        get_ab5() {
            return new NegativeVolumeIndexIndicatorStrategy();
        }
        get ab5() {
            return this.get_ab5();
        }
        get_aci() {
            return NegativeVolumeIndexIndicator.$;
        }
        get aci() {
            return this.get_aci();
        }
    }
    NegativeVolumeIndexIndicator.$t = markType(NegativeVolumeIndexIndicator, 'NegativeVolumeIndexIndicator', StrategyBasedIndicator.$);
    return NegativeVolumeIndexIndicator;
})();
